import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  listPractice = '/audit/auditBestPractice/listAll',
  listCompliane = '/audit/auditComplianeItem/listAll',
  listProblem = '/audit/auditProblem/listAll',
  listInnerCtrl = '/audit/auditInnerCtrl/listAll',
  listInnerOrder = '/audit/auditInnerOrder/listAll',
}


export const getAllDataByFileId = (fileId,tp) => {
  let params = {"fileId":fileId}
  if(tp==1) {
    return defHttp.get({url: Api.listCompliane, params});
  } else if(tp==2) {
    return defHttp.get({url: Api.listInnerCtrl, params});
  } else if(tp==3) {
    return defHttp.get({url: Api.listInnerOrder, params});
  } else if(tp==4) {
    return defHttp.get({url: Api.listProblem, params});
  } else if(tp==7) {
    return defHttp.get({url: Api.listPractice, params});
  }
  
}
 

